<template>
    <div class="ui-card__expand" :class="{ expanded: expanded }">
        <div class="expand-button" @click="expanded = !expanded">
            <ui-icon :fill="$ui.colors.primary" :rotate="expanded ? 180 : 0">collapse-20</ui-icon>
        </div>

        <slot v-if="expanded"></slot>
    </div>
</template>

<script>
    export default {
        name: 'ui-component-card-expand',
        data () {
            return {
                expanded: false,
            }
        }
    };
</script>

<style scoped>

</style>
